<?php
/*
Plugin Name: Orbisius Blog Post - Enable WooCommerce Product Revisions
Plugin URI: https://orbisius.com/7517
Description: Adds the missing WooCommerce Product Revisions support, if they are not enabled. This is part of an Orbisius blog post at https://orbisius.com/7517
Version: 1.0.0
Author: Svetoslav Marinov (SLAVI)
Author URI: https://orbisius.com
License: GPL
*/

// it seems WC by default doesn't enable this for some odd reason.
add_filter( 'woocommerce_register_post_type_product', 'orbisius_wc_product_revision_support_post7517' );

/**
 * This snippet is part of blog post how to enable WooCommerce Product Revisions at https://orbisius.com/7517
 * @see https://orbisius.com
 * @param array $args
 * @return array
 */
function orbisius_wc_product_revision_support_post7517( $args ) {
    if (!empty($args['supports']) && !in_array('revisions', $args['supports'])) {
        $args['supports'][] = 'revisions';
    }

    return $args;
}
